header.file<- {bnstruct} | R Documentation

## set header file of a `BNDataset`.

### Description

Set the header filename of a dataset (with the path to its position, as given by the user). The header file has to contain three rows:

1. list of names of the variables, in the same order as in the data file;

2. list of cardinalities of the variables, if discrete, or levels for quantization if continuous;

3. list of status of the variables: `c` for continuous variables, `d` for discrete ones.

Further rows are ignored.

### Usage

    header.file(x) <- value

    ## S4 replacement method for signature 'BNDataset'
    header.file(x) <- value

### Arguments

`x` | a `BNDataset`.
`value` | header filename.

### See Also

`data.file<-`

[Package bnstruct version 1.0.6 Index]